# Method signal()

Method signal

  ``function`(`int`|`void`:`void`) signal(`int` `sig`, `function`(`int`|`void`:`void`) `callback`)`
  ``function`(`int`|`void`:`void`) signal(`int` `sig`)`

Description

  Trap signals.

  This function allows you to trap a signal and have a function called when the process receives a signal. Although it IS possible to trap SIGBUS, SIGSEGV etc, I advise you not to; Pike should not receive any such signals, and if it does, it is because of bugs in the Pike interpreter. And all bugs should be reported, no matter how trifle.

  The callback will receive the signal number as its only argument.

  See the documentation for kill() for a list of signals.

  If no second argument is given, the signal handler for that signal is restored to the default handler.

  If the second argument is zero, the signal will be completely ignored.

Returns

  Returns the previous signal function, or 0 if none had been registered.

See also

  kill(), signame(), signum()